/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package jsl.utilities.random.distributions;

import jsl.utilities.random.rng.RngIfc;

/** A distribution on a single value.  The value may
 *  be changed via the setParameters() method
 *
 * @author rossetti
 */
public class VConstant extends Constant {

    public VConstant(double value, RngIfc rng) {
        super(value, rng);
    }

    public VConstant(double value) {
        super(value);
    }

    public VConstant newInstance() {
        return (new VConstant(getValue()));
    }

    public void setParameters(double[] parameters) {
        myValue = parameters[0];
    }
}
