package jslx.forecasting;

import java.util.List;
import java.util.Set;
import java.util.SortedSet;

import jsl.utilities.IdentityIfc;

/**
 * Interface for a metaforecaster
 * @author vvarghe
 *
 */
public interface MetaForecasterIfc extends IdentityIfc{

	public void addForecastTechnique(ForecastTechnique ft);
	
	public void setBaseForecastTechnique(ForecastTechnique ft);
	
	public ForecastTechnique getReccommendedForecastTechnique(IterativeDataSource ds);
	
	public ForecastTechnique getReccommendedForecastTechnique(double [] demandattributevector);
	
	public Set<ForecastTechnique> getRankedForecastTechniques();
	
	public ForecastTechnique getBaseForecastTechnique();
	
	public List<ForecastTechnique> getForecastTechniques();
	
}
