package jslx.forecasting.metrics.calc;

import jsl.utilities.statistic.Statistic;

public interface StatCalculatorIfc{
	
	/**
	 * Computes a metric given a Statistic object
	 * 
	 * @param stat
	 * @return
	 */
	public double computeMetricValue(Statistic stat);
	
	public String getAbbreviatedName();
	
	public String getName();
	
	/**
	 * 
	 * @return whether or not the data collected by the statistic object must be saved
	 */
	public boolean requiresSaved();
	
}
