package jslx.inventory.rqmodel;

import java.util.List;

public interface RQIfc{
	/*Performance interface*/
	
	/** Gets total expecetd number of backorders for all items
	 */
	double getTotalEBackOrders();
	
	/** gets total expecetd number of backorders for all items
	 * across the retailers
	 */
	double getTotalRetailerEBackOrders();
	
	/** gets total expected number of backorders for all itmes
	 * at the warehouse
	 */
	double getTotalWarehouseEBackOrders();
	
	/**gets total expected on-hand for all items
	 */
	double getTotalEOnHand();
	
	/** gets total expected on-hand for all items
	 * across the retailers
	 */
	double getTotalRetailerEOnHand();
	
	/** gets total expecetd on-hand for all items
	 * at the warehouse
	 */
	double getTotalWarehouseEOnHand();
	
	/** gets the total number of items in the system
	 */
	int getNumItems();
	
	/** Returns an unmodifiable list of items
	 * 
	 */
	List <RQItem> getItems();

}
