/*
 * Created on Jul 12, 2006
 *
 */
package jslx.transportlayerFinal;

import jsl.modeling.elements.spatial.SpatialResource;

/** This inteface allows the user to select next truck
 * @author rossetti
 *
 */
public interface TruckSelectionRuleIfc {
    
	/** selects next truck based on the selection rule provided
	 * 
	 * @param dispatcher
	 * @param location
	 * @return
	 */
	public SpatialResource selectNextTruck(AbstractDispatcherFTL dispatcher, TransportLocationIfc location);

}
