package testing.parameters;

import jsl.modeling.ModelElement;
import jsl.modeling.elements.variable.Counter;
import jsl.modeling.elements.variable.ResponseVariable;
import jsl.modeling.elements.variable.TimeWeighted;
import testing.parameters.GetResponsesIfc;
import testing.parameters.Responses;
import jslx.supplychain.inventorylayer.BackLogQueue;
import jslx.supplychain.inventorylayer.Inventory;
import jslx.supplychain.inventorylayer.InventoryPolicyAbstract;
import jslx.supplychain.inventorylayer.ItemType;

public class InventoryGetResponses extends Inventory implements GetResponsesIfc {


	public InventoryGetResponses(ModelElement parent, ItemType type,
			InventoryPolicyAbstract policy, int initialLevel) {
		super(parent, type, policy, initialLevel);
	}

	public Responses getResponses() {
		Responses r=new Responses();
		r.setResponse("Proportion time in stockout",myStockOutIndicator.getAcrossReplicationAverage());
		r.setResponse("Average on hand",myOnHand.getAcrossReplicationAverage());
		r.setResponse("Average on order",myOnOrder.getAcrossReplicationAverage());
		r.setResponse("Fill rate",myFirstFillRate.getAcrossReplicationAverage());
		r.setResponse("Number of replenishment requests",myReplenishmentRequestCounter.getAcrossReplicationAverage());
        return r;
	}

}
