package testing.variable;

import jsl.modeling.Model;
import jsl.modeling.elements.variable.RandomVariable;
import jsl.utilities.random.RandomIfc;
import jsl.utilities.random.distributions.Normal;

public class RVExample {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Model m = Model.createModel();
		RandomIfc r = new Normal(0,1);
		RandomVariable rv = new RandomVariable(m, r);
		for(int i=1;i<=5;i++){
			double x = rv.getValue();
			System.out.println("x = " + x);
		}
	}

}
