package jsl.modeling.elements.queue;

import jsl.modeling.Model;

public class TestQ {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Model m = Model.createModel();
		Queue q = new Queue(m);
		QObject r1 = q.enqueue();
		r1.setName("A");
		QObject r2 = q.enqueue();
		r2.setName("B");
		QObject r3 = q.enqueue();
		r3.setName("A");
		QObject r4 = q.enqueue();
		r4.setName("C");
		QObject r5 = q.enqueue();
		r5.setName("D");

		System.out.println("Before");
		for(QObject qo: q){
			System.out.println(qo);
		}
		
		for(int i=0;i<q.size();i++){
			QObject v = q.peekAt(i);
			if (v.getName().equals("A")){
				q.remove(v);
			}
		}
		
		System.out.println("After");
		for(QObject qo: q){
			System.out.println(qo);
		}
	}

}
