package jslx.forecasting.metrics;

import java.util.Collections;
import java.util.List;

public class SampleStat {
	
	public static double getMedian(List<Double> data){
		Collections.sort(data);
		int size=data.size();
		double median=-1;
		if(size%2==0){//even
			int firstIndex=(size/2)-1;
			int secondIndex=firstIndex+1;
			double firstValue=data.get(firstIndex);
			double secondValue=data.get(secondIndex);
			median=(firstValue+secondValue)/2;
		}
		else{//odd
			int index=(int)Math.ceil(size/2);
			median=data.get(index);
		}
		return median;
	}
	
	public static double getGeometricMean(List<Double> data){
		double product=1;
		for(double d:data)
			product*=d;
		return Math.pow(product, 1.0/data.size());
	}
}
