package jslx.transportlayerFinal;

import java.util.List;

/** Selection of the next driver
 *  Contains two selection rules:
 *  1) First idle driver available
 *  2) Based on minimum time taken to complete the task
 * 
 * @author snangia
 *
 */
public interface DriverSelectionRuleIfc {

	public Driver selectNextDriver(AbstractDispatcherFTL dispatcher, TransportLocationIfc location,DispatchTask task,List <Driver> drivers);
	
	public void setTypeToSelectFirst();
	
	public void setTypeToSelectWithMinDeliverTime();
}
