package jslx.transportlayerFinal;

import jsl.modeling.elements.operation.OperationListenerIfc;
import jsl.modeling.elements.operation.Task;

public interface TransportListenerIfc {
	
	public void start(Task task);
	
	public void addCompletionListener(OperationListenerIfc listener);

	public void addStartedListener(OperationListenerIfc listener);

	public void notifyOperationStartedListeners(Task task);

	public void notifyOperationCompletedListeners(Task task);

}
