package testing.parameters;

import java.util.HashMap;

import jsl.modeling.ModelElement;
import jsl.modeling.elements.variable.ResponseVariable;
import jsl.modeling.elements.variable.TimeWeighted;
import testing.parameters.GetResponsesIfc;
import testing.parameters.Responses;
import jslx.supplychain.inventorylayer.ItemType;
import jslx.supplychain.inventorylayer.LeadTimeDemandFiller;

public class LeadTimeDemandFillerGetResponses extends LeadTimeDemandFiller
		implements GetResponsesIfc {

	public LeadTimeDemandFillerGetResponses(ModelElement parent) {
		super(parent);
	}

	public Responses getResponses() {
		Responses r=new Responses();
		r.setResponse("Num In Delay Aggregate Value", myAggregateTWRVNumOfDelayedItems.getAcrossReplicationAverage());
		r.setResponse("Delay Time Aggregate Value", myAggregateTWRVDelayTimeOfItems.getAcrossReplicationAverage());
		return r;
	}

}
